interface CheckboxOptions {
    className?: string;
    enabled?: boolean;
    name?: string;
    tabIndex?: Number;
    type?: string;
    label?: string | HTMLElement;
    checked?: boolean;
    imageHeight?: Number;
    checkedNode?: HTMLElement;
    uncheckedNode?: HTMLElement;
    customerAttributes?: { [key: string]: string };
    onchange?: (this: HTMLInputElement, ev: Event) => any;
}

export function createRadiobox(opts?: CheckboxOptions): HTMLElement
export function createCheckbox(opts?: CheckboxOptions): HTMLElement
export function resolveCheckbox(container?: HTMLElement, legacy?: boolean): HTMLElement